Private Sub FileProcess(ByVal FIleAction As Integer)
    Dim frmStat as new frmStatus
    'Set the length of the strInbyte string
    strInByte = Space(256)
    ' Set the file path for the animation file
    ' Set the from and to file copy paths
    strFrom_filename = txtSourceFile.Text
    strTo_filename = txtTargetFile.Text

   add FileSystemObject code here

    ' Get the size of the file to copy
    ' and calculate the number of times to loop
    ' the copy routine based on moving 256 bytes at a time
    lngFileSize = FileLen(strFrom_filename)
    intBufferCount = lngFileSize / 256
    frmStat.Show()

    ' Set the progressbar min and max properties
    frmStat.prgStatus.Minimum = 1
    frmStat.prgStatus.Maximum = 1 + intBufferCount

    ' Open the source and destination files
    FileOpen(1, strFrom_filename, OpenMode.Binary)
    FileOpen(2, strTo_filename, OpenMode.Binary)

    ' Set the label to display the file being copied
    ' and make all of the related controls visible
    If FIleAction = ActionCopy Then
        frmStat.lblDisplay.Text = "Copying.. " & strFrom_filename
    else
        frmStat.lblDisplay.Text = "Moving.. " & strFrom_filename
    End If
    frmStat.lblDisplay.Visible = True
    frmStat.prgStatus.Visible = True

    ' This routine loops until the entire file is copied
    For intLoopCtr = 1 To intBufferCount + 1
        FileGet(1, strInByte)
        FilePut(2, strInByte)
        ' change progressbar value to indicate the status of
        ' the copy function
        frmStat.prgStatus.Value = intLoopCtr

        ' the DoEvents command allows Windows to update
        ' the controls on the form
        Application.DoEvents()

        'Slow the program down to see the progressbar in action
        For i = 1 To 60000
            k = 1
        Next

    Next intLoopCtr

    ' After the copy is complete close both files
    FileClose(1)     ' Close file.
    FileClose(2)     ' Close file.

    'If the function is a move, erase the source file
    If FIleAction = ActionMove Then
        Kill(strFrom_filename)
    End If

    ' Stop the animation and make all related controls
    ' invisible
    frmStat.Hide()

End Sub
